Subject: Re: bug#44773: guix pull does not support transformation options but claims to
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Sat, 21 Nov 2020 12:43:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> Running `guix pull --help-transform' displays all the usual
> transformation options, but when I try to use any, it reports an
> unrecognized option.

Oops, fixed in e79ecff045094a75226439a6284306475a2f907e.  I’ll
cherry-pick it in ‘version-1.2.0’.

> It would be nice if I could use `guix pull --without-tests=glib' since
> tests time out on my (somewhat slow) Beaglebone Black.

It’s unfortunately not really an option.

Are substitutes for GLib missing?

Thanks,
Ludo’.